/*
m_sb_valid - Check whether a samplebank is valid/ready to use

DESCRIPTION
Return 1 if the samplebank is valid/ready to use and 0 otherwise.

SYNTAX
ivalid m_sb_valid Sname

INITIALIZATION
ivalid - Validity output, 1 if useable, 0 otherwise
Sname - Name of the samplebank

PERFORMANCE

CREDITS
Author: Jeanette C.
*/

opcode m_sb_valid, i, S
	Sname xin

	; Set up the basic channel name
	SchannelName strcat "m_sb.", Sname
	iValid chnget strcat(SchannelName, ".Valid")
	xout iValid
endop
